package request

// ChartConfigReq
// @Description: 跨品种分析的图表配置
type ChartConfigReq struct {
	TagX           int               `description:"X轴的标签ID"`
	TagY           int               `description:"Y轴的标签ID"`
	CalculateValue int               `description:"计算窗口"`
	CalculateUnit  string            `description:"计算频度"`
	DateConfigList []ChartConfigDate `description:"日期配置列表"`
	VarietyList    []int             `description:"品种id列表"`
}

// ChartConfigDate
// @Description: 跨品种分析的日期配置
type ChartConfigDate struct {
	DateType int `description:"日期类型,，1：最新日期；2：N天前"`
	Num      int
}
